IBM WebSphere Service Registry and Repository 7.0 < 7.0.0 FP1 Authentication Bypass

This script is Copyright (C) 2013 Tenable Network Security, Inc.


Synopsis :

The remote host has a web application installed that is affected by an
authentication bypass vulnerability.

Description :

The version of IBM WebSphere Service Registry and Repository is 7.0
earlier than Fix Pack 1. Such versions are potentially affected by a
flaw in the implementation of access controls in the EJB interface. A
remote, unauthenticated attacker could exploit this flaw in order to
bypass access controls.

See also :

http://www-01.ibm.com/support/docview.wss?uid=swg24026132

Solution :

Upgrade to IBM WebSphere Service Registry and Repository 7.0.0 Fix
Pack 1 or later.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 4.1
(CVSS2#E:F/RL:OF/RC:C)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 70070 ()

Bugtraq ID: 45585

CVE ID: CVE-2010-2644